import io
import sys

def _redirect_output(f):
    def redirect(*params, **kwargs):
        captured_stdout = io.BytesIO()
        old_stdout = sys.stdout
        sys.stdout = captured_stdout
        ret_val = f(*params, **kwargs)
        sys.stdout = old_stdout
        captured_stdout.seek(0)
        return captured_stdout, ret_val
    return redirect
